Subject: Re: [bitcoin-dev] Drivechain proposal using OP_COUNT_ACKS

From: "Russell O'Connor" <[email-masked]>
Date: Sun, 2 Oct 2016 17:54:08 -0400

> I don't know if it's possible to implement decentralised sidechains without
> "breaking" this rule.
>

I haven't really been following the sidechain developements, but my
understanding was that redemption from a side chain would be two phase.
The person unpegging the funds provides a proof that they have locked the
funds on the side chain and are eligible to withdraw the funds, plus they
put up a bounty.  Then there is a time-locked period where others can
collect the bounty by providing a fraud proof, that the locked funds given
in the proof have actually been double spent.  This two phase system
doesn't violate this rule.